API Reference
Promotions
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/promotions JWT API KeyGet promotions
Query parameters
| ChannelId string (uuid) | — |
| IncludeAllChannel boolean | — |
| Active boolean | — |
| Status string | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/promotions" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/promotions JWT API KeyCreate promotions
Request body
application/json
{
"name": "string",
"discountPercent": 0,
"maxDiscountCap": 0,
"minOrderValue": 0,
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"channelId": "00000000-0000-0000-0000-000000000000",
"active": false
}| name string | — |
| discountPercent number (double) | — |
| maxDiscountCap integer (int64) | — |
| minOrderValue integer (int64) | — |
| startDate string (date) | — |
| endDate string (date) | — |
| channelId string (uuid) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/promotions" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"discountPercent": 0,
"maxDiscountCap": 0,
"minOrderValue": 0,
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"channelId": "00000000-0000-0000-0000-000000000000",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/promotions/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/promotions/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/promotions/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/promotions/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
patch
/api/v1/console/promotions/{id}/active JWT API KeyUpdate active
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"active": false
}| active boolean | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/promotions/{id}/active" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/promotions/change-requests JWT API KeyCreate change-requests
Request body
application/json
{
"name": "string",
"discountPercent": 0,
"maxDiscountCap": 0,
"minOrderValue": 0,
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"channelId": "00000000-0000-0000-0000-000000000000",
"active": false
}| name string | — |
| discountPercent number (double) | — |
| maxDiscountCap integer (int64) | — |
| minOrderValue integer (int64) | — |
| startDate string (date) | — |
| endDate string (date) | — |
| channelId string (uuid) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/promotions/change-requests" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"discountPercent": 0,
"maxDiscountCap": 0,
"minOrderValue": 0,
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"channelId": "00000000-0000-0000-0000-000000000000",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu